%define upstream_name    SNMP-Info
%define upstream_version 2.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object Oriented Perl5 Interface to Network devices and MIBs through SNMP
License:    BSD-like
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SNMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(SNMP)
BuildRequires: perl(Test::More)
BuildRequires: perl-NetSNMP >= 5.1.2
BuildArch:  noarch

%description
SNMP::Info gives an object oriented interface to information obtained
through SNMP.

This module lives at http://snmp-info.sourceforge.net Check for newest
version and documentation.

This module is geared towards network devices. Subclasses exist for a
number of network devices and common MIBs.

The idea behind this module is to give a common interface to data from
network devices, leaving the device-specific hacks behind the scenes in
subclasses.

In the SYNOPSIS example we fetch the name of all the ports on the device
and the duplex setting for that port with two methods -- interfaces()
and i_duplex().

The information may be coming from any number of MIB files and is very
vendor specific. SNMP::Info provides you a common method for all
supported devices.
                                
Adding support for your own device is easy, and takes little much SNMP
knowledge.
                                    
The module is not limited to network devices. Any MIB or device can be
given an objected oriented front-end by making a module that consists of
a couple hashes. See EXTENDING SNMP::INFO.
                                    

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc COPYRIGHT ChangeLog DEVELOP META.yml MYMETA.yml README
%{perl_vendorlib}/SNMP
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.110.0-2.mga3
+ Revision: 372385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.110.0-1.mga3
+ Revision: 342584
- update to 2.11

* Fri Aug 31 2012 kharec <kharec> 2.80.0-1.mga3
+ Revision: 286473
- update to 2.08

* Thu Oct 13 2011 jquelin <jquelin> 2.60.0-1.mga2
+ Revision: 154450
- update to 2.06

* Mon Jun 27 2011 jquelin <jquelin> 2.50.0-1.mga2
+ Revision: 114503
- update to 2.05

* Thu Apr 07 2011 jquelin <jquelin> 2.40.0-1.mga1
+ Revision: 81787
- update to 2.04

* Thu Jan 20 2011 jquelin <jquelin> 2.10.0-1.mga1
+ Revision: 26923
- mageia rebuild
- imported package perl-SNMP-Info

